Bug 994389 - Fail during installation in stage: Environment setup': Unexpected empty database during upgrade
Fail during installation in stage: Environment setup': Unexpected empty datab...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alon Bar-Lev
Tareq Alayan
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 03:48 EDT by Tareq Alayan
Modified: 2013-08-12 08:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 08:33:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
answers (1.18 KB, text/plain)
2013-08-07 03:49 EDT, Tareq Alayan
no flags Details
install.log (148.79 KB, text/x-log)
2013-08-07 03:50 EDT, Tareq Alayan
no flags Details

  None (edit)
Description Tareq Alayan 2013-08-07 03:48:46 EDT
Description of problem:
INstallation failed

Version-Release number of selected component (if applicable):
is8
otopi-1.1.0_master

How reproducible:
sometimes in hosts which runs automatic tests.


log:
====
job_runner.libs.utils - INFO - Executes ['engine-setup', '--config-append=./answers_OtopiSetup']
[ INFO  ] Stage: Initializing
[ INFO  ] Stage: Environment setup
          Log file: /var/log/ovirt-engine/setup/ovirt-engine-setup-20130807100832.log
          Version: otopi-1.1.0_master
          Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging.conf', '/var/lib/jenkins/workspace/3.3-git-coreTools-virt-regression_vms-rest/./answers_OtopiSetup']
[ ERROR ] Failed to execute stage 'Environment setup': Unexpected empty database during upgrade
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20130807100832.log
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
2013-08-07 10:08:34,454 - MainThread - job_runner.libs.utils - DEBUG - output = None
2013-08-07 10:08:34,455 - MainThread - job_runner.libs.utils - DEBUG - stderr = None
2013-08-07 10:08:34,455 - MainThread - job_runner.libs.utils - DEBUG - retcode = 1
2013-08-07 10:08:34,456 - MainThread - job_runner.libs.utils - INFO - Executes ls -trll /var/log/ovirt-engine | tail -n1 | grep -o "[^ ]*[.]log$"
2013-08-07 10:08:34,475 - MainThread - job_runner.libs.utils - DEBUG - output = 
2013-08-07 10:08:34,476 - MainThread - job_runner.libs.utils - DEBUG - stderr = None
2013-08-07 10:08:34,476 - MainThread - job_runner.libs.utils - DEBUG - retcode = 1
2013-08-07 10:08:34,476 - MainThread - job_runner.libs.tasksmanager.install_engine - ERROR - failed to find latest engine log
2013-08-07 10:08:34,477 - MainThread - job_runner.libs.utils - ERROR - Failed to setup RHEVM: ['engine-setup', '--config-append=./answers_OtopiSetup']
2013-08-07 10:08:34,477 - MainThread - job_runner - ERROR - 3.3-rhevm_install: Failed to setup RHEVM: ['engine-setup', '--config-append=./answers_OtopiSetup']
Traceback (most recent call last):
  File "/var/lib/jenkins/workspace/3.3-git-coreTools-virt-regression_vms-rest/jenkins/tools/job_runner/libs/base.py", line 97, in run
    self.task.run(job)
  File "/var/lib/jenkins/workspace/3.3-git-coreTools-virt-regression_vms-rest/jenkins/tools/job_runner/tasks/rhevm_otopi_task.py", line 290, in run
    res.fail("Failed to setup %s" % self.product_name.upper())
  File "/var/lib/jenkins/workspace/3.3-git-coreTools-virt-regression_vms-rest/jenkins/tools/job_runner/libs/utils.py", line 69, in fail
    raise errors.CommandExecutionError(message)
CommandExecutionError: Failed to setup RHEVM: ['engine-setup', '--config-append=./answers_OtopiSetup']
Comment 1 Tareq Alayan 2013-08-07 03:49:23 EDT
Created attachment 783713 [details]
answers
Comment 2 Tareq Alayan 2013-08-07 03:50:04 EDT
Created attachment 783714 [details]
install.log
Comment 3 Alon Bar-Lev 2013-08-07 04:03:41 EDT
the test environment is not clean.

there are left overs either at /etc/pki/ovirt-engine or at /etc/ovirt-engine-setup.conf.d

please make sure that before you install product for test, you have a clean environment, either by using a fresh images, or by running [at least] the following commands:

# service ovirt-engine stop
# yum remove -y 'rhev*' otopi ovirt-host-deploy
# rm -fr /etc/ovirt-engine* /etc/pki/ovirt-engine /usr/share/ovirt-engine /var/*/ovirt-engine
# service postgresql stop
# rm -fr /var/lib/pgsql/data
Comment 4 Alon Bar-Lev 2013-08-08 06:33:00 EDT
Please confirm and close bug, or provide more information.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.